import { OnDestroy } from '@angular/core';
import { AlertMeetingConfig } from './alert-meeting-config';
import { Subject } from 'rxjs';
export declare class AlertMeetingContainerComponent implements OnDestroy {
    readonly _onDestroy: Subject<any>;
    alertList: Array<AlertMeetingConfig>;
    addAlert(alert: AlertMeetingConfig): string;
    removeAlert(key: string): void;
    onClick(key: string): void;
    onHide(key: string): void;
    onSnooze(key: string): void;
    destroy(): void;
    ngOnDestroy(): void;
}
